Bug 239423 - "Unspecified error" loading metadata
"Unspecified error" loading metadata
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gphoto2 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-08 07:49 EDT by Jonathan Kamens
Modified: 2013-07-02 19:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:42:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gphoto2 log file (3.12 MB, text/plain)
2007-05-08 07:49 EDT, Jonathan Kamens
no flags Details
new log file of gphoto2 failure (1.14 MB, text/plain)
2007-08-17 02:24 EDT, Jonathan Kamens
no flags Details

  None (edit)
Description Jonathan Kamens 2007-05-08 07:49:17 EDT
I get "*** Error (-1: 'Unspecified error') ***" at the end of trying to load
metadata from the camera.  It looks like all the metadata is loaded successfully
despite the error.  Here's what I see at the end of the command output:

Downloading 'IMG_0707.JPG' from folder '/store_00010001/DCIM/100CANON'...
Saving file as meta_IMG_0707.JPG
*** Error (-1: 'Unspecified error') ***       

For debugging messages, please use the --debug option.
Debugging messages may help finding a solution to your problem.
If you intend to send any error or debug messages to the gphoto
developer mailing list <gphoto-devel@lists.sourceforge.net>, please run
gphoto2 as follows:

    env LANG=C gphoto2 --debug --debug-logfile=my-logfile.txt --debug
--debug-logfile=my-logfile.txt --get-all-metadata "/store_00010001/DCIM/100CANON"

Please make sure there is sufficient quoting around the arguments.

I'll attach the log file.
Comment 1 Jonathan Kamens 2007-05-08 07:49:19 EDT
Created attachment 154334 [details]
gphoto2 log file
Comment 2 Jonathan Kamens 2007-05-08 07:57:45 EDT
The problem appears to go away if I remove the folder name from the command
line.  I thought it was required (and perhaps it was in older gphoto2 versions),
but in any case even if it shouldn't be there, the error handling is poor.
Comment 3 Jonathan Kamens 2007-08-17 02:24:47 EDT
Created attachment 161720 [details]
new log file of gphoto2 failure

The problem is back with current gphoto2 and kernel in devel, even when I don't
specify the folder name on the command line.  New log file attached.
Comment 4 Bug Zapper 2008-04-03 20:35:49 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Bug Zapper 2008-05-06 21:42:20 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.